%global debug_package %{nil}

Name:           nbfc-linux
Version:        0.2.8
Release:        1%{?dist}
Summary:        NoteBook FanControl for Linux

License:        GPLv3+
URL:            https://github.com/nbfc-linux/nbfc-linux
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  python3
BuildRequires:  pandoc
BuildRequires:  systemd-rpm-macros
Requires:       python3
Requires:       systemd

%description
NoteBook FanControl (NBFC) is a cross-platform fan control service for notebooks.
It allows users to control their notebook's fans manually or with custom fan curves.

%prep
%autosetup

%build
# Using the Makefile directly as specified in the source
make INIT_SYSTEM=systemd PREFIX=%{_prefix} DESTDIR=%{buildroot}

%install
# Install everything using the Makefile
make INIT_SYSTEM=systemd PREFIX=%{_prefix} DESTDIR=%{buildroot} install

%post
%systemd_post nbfc_service.service

%preun
%systemd_preun nbfc_service.service

%postun
%systemd_postun_with_restart nbfc_service.service

%files
%{_bindir}/nbfc
%{_bindir}/nbfc_service
%{_bindir}/ec_probe
%{_bindir}/nbfc-qt
%{_prefix}/lib/systemd/system/nbfc_service.service
%{_sysconfdir}/nbfc/
%{_datadir}/nbfc/
%{_mandir}/man1/ec_probe.1*
%{_mandir}/man1/nbfc.1*
%{_mandir}/man1/nbfc_service.1*
%{_mandir}/man5/nbfc_service.json.5*
%{_datadir}/zsh/site-functions/_nbfc
%{_datadir}/zsh/site-functions/_nbfc_service
%{_datadir}/zsh/site-functions/_ec_probe
%{_datadir}/bash-completion/completions/nbfc
%{_datadir}/bash-completion/completions/nbfc_service
%{_datadir}/bash-completion/completions/ec_probe
%{_datadir}/fish/vendor_completions.d/nbfc.fish
%{_datadir}/fish/vendor_completions.d/nbfc_service.fish
%{_datadir}/fish/vendor_completions.d/ec_probe.fish

%changelog
* Mon Nov 18 2024 GG ININDER <eyes1971@gmail.com> - 0.2.8-1
- Initial package